Package org.springframework.core

# Class DefaultParameterNameDiscoverer

java.lang.Object
org.springframework.core.PrioritizedParameterNameDiscoverer
org.springframework.core.DefaultParameterNameDiscoverer

All Implemented Interfaces:
  `ParameterNameDiscoverer`

public class DefaultParameterNameDiscoverer extends PrioritizedParameterNameDiscoverer
Default implementation of the `ParameterNameDiscoverer` strategy interface, delegating to the Java 8 standard reflection mechanism.

If a Kotlin reflection implementation is present, `KotlinReflectionParameterNameDiscoverer` is added first in the list and used for Kotlin classes and interfaces.

Further discoverers may be added through `PrioritizedParameterNameDiscoverer.addDiscoverer(ParameterNameDiscoverer)`.

Since:
  4.0
Author:
  Juergen Hoeller, Sebastien Deleuze, Sam Brannen
See Also:
  - `StandardReflectionParameterNameDiscoverer`
  - `KotlinReflectionParameterNameDiscoverer`

## Constructor Summary

Constructors
Constructor
Description
`DefaultParameterNameDiscoverer()`

## Method Summary

### Methods inherited from class org.springframework.core.PrioritizedParameterNameDiscoverer

`addDiscoverer, getParameterNames, getParameterNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultParameterNameDiscoverer

public DefaultParameterNameDiscoverer()